## multitail 3.2.1

=== Makefile ===
VERSION=3.2.1

DEBUG=#-g -D_DEBUG #-pg #-fprofile-arcs
# Mac OS X/IRIX/SCO/Solaris users: use the following line
#LDFLAGS=-lcurses
# all others use:
LDFLAGS=-lncurses -lutil -lm $(DEBUG)
CFLAGS=-D$(shell uname) -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)

OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o

all: multitail

multitail: $(OBJS)
	$(CC) -Wall -W $(OBJS) $(LDFLAGS) -o multitail

install: multitail
	cp multitail $(DESTDIR)/usr/bin
	cp multitail.1 $(DESTDIR)/usr/share/man/man1/multitail.1
	cp multitail.conf $(DESTDIR)/etc
	mkdir -p $(DESTDIR)/usr/share/doc/multitail-$(VERSION)
	cp *.txt INSTALL manual*.html $(DESTDIR)/usr/share/doc/multitail-$(VERSION)
	cp multitail.conf $(DESTDIR)/etc
	rm -f $(DESTDIR)/usr/share/man/man1/multitail.1.gz
	gzip -9 $(DESTDIR)/usr/share/man/man1/multitail.1
	#
	# +-=-------------------------------------------------------------=-+
	# | There's a mailinglist!                                          |
	# | Send an e-mail to minimalist@vanheusden.com with in the subject |
	# | 'subscribe multitail' to subscribe.                             |
	# +-=-------------------------------------------------------------=-+
	#
	# you might want to run 'make thanks' now :-)

uninstall: clean
	rm -f $(DESTDIR)/usr/bin/multitail
	rm -f $(DESTDIR)/usr/share/man/man1/multitail.1.gz
	rm -f $(DESTDIR)/etc/multitail.conf
	rm -rf $(DESTDIR)/usr/share/doc/multitail-$(VERSION)

clean:
	rm -f $(OBJS) multitail core gmon.out *.da

package: clean
	# source package
	rm -rf multitail-$(VERSION)*
	mkdir multitail-$(VERSION)
	cp *.conf *.c *.h multitail.1 manual*.html Makefile makefile.* Changes INSTALL license.txt readme.txt multitail-$(VERSION)
	tar czf multitail-$(VERSION).tgz multitail-$(VERSION)
	rm -rf multitail-$(VERSION)

thanks:
	echo Automatic thank you e-mail for multitail $(VERSION) on a `uname -a` | mail -s "multitail" folkert@vanheusden.com

## multitail 3.4.3

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
-VERSION=3.2.1
+VERSION=3.4.3
 
-DEBUG=#-g -D_DEBUG #-pg #-fprofile-arcs
+DEBUG=#-g -D_DEBUG -W -pedantic #-pg #-fprofile-arcs
 # Mac OS X/IRIX/SCO/Solaris users: use the following line
 #LDFLAGS=-lcurses
 # all others use:
 LDFLAGS=-lncurses -lutil -lm $(DEBUG)
 CFLAGS=-D$(shell uname) -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)
 
-OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o
+OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o
 
 all: multitail
 
@@ -50,4 +50,4 @@
 	rm -rf multitail-$(VERSION)
 
 thanks:
-	echo Automatic thank you e-mail for multitail $(VERSION) on a `uname -a` | mail -s "multitail" folkert@vanheusden.com
+	echo Automatic thank you e-mail for multitail $(VERSION) on a `uname -a` | mail -s "multitail $(VERSION)" folkert@vanheusden.com

## multitail 3.4.8

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-VERSION=3.4.3
+VERSION=3.4.8
 
-DEBUG=#-g -D_DEBUG -W -pedantic #-pg #-fprofile-arcs
+DEBUG=-g # -D_DEBUG -W -pedantic #-pg #-fprofile-arcs
 # Mac OS X/IRIX/SCO/Solaris users: use the following line
 #LDFLAGS=-lcurses
 # all others use:
 LDFLAGS=-lncurses -lutil -lm $(DEBUG)
-CFLAGS=-D$(shell uname) -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)
+CFLAGS+=-D$(shell uname) -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)
 
 OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o
 
@@ -51,3 +51,7 @@
 
 thanks:
 	echo Automatic thank you e-mail for multitail $(VERSION) on a `uname -a` | mail -s "multitail $(VERSION)" folkert@vanheusden.com
+	echo Is your company using MultiTail and you would like to be
+	echo mentioned on http://www.vanheusden.com/multitail/usedby.html ?
+	echo Then please send me a logo (not too big) and a link and I'll
+	echo add it to that page.

## multitail 4.0.6

=== Makefile ===
include version

DESTDIR=/
CONFIG_FILE=$(DESTDIR)/etc/multitail.conf

DEBUG=-g #  -D_DEBUG  -W -pedantic # -pg #-fprofile-arcs
LDFLAGS=-lpanel -lncurses -lutil -lm $(DEBUG)
CFLAGS+=-D`uname` -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\"

OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o

all: multitail

multitail: $(OBJS)
	$(CC) -Wall -W $(OBJS) $(LDFLAGS) -o multitail

install: multitail
	cp multitail $(DESTDIR)/usr/bin
	cp multitail.1 $(DESTDIR)/usr/share/man/man1/multitail.1
	mkdir -p $(DESTDIR)/usr/share/doc/multitail-$(VERSION)
	cp *.txt INSTALL manual*.html $(DESTDIR)/usr/share/doc/multitail-$(VERSION)
	#
	### COPIED multitail.conf.new, YOU NEED TO REPLACE THE multitail.conf
	### YOURSELF WITH THE NEW FILE
	#
	cp multitail.conf $(DESTDIR)/etc/multitail.conf.new
	rm -f $(DESTDIR)/usr/share/man/man1/multitail.1.gz
	gzip -9 $(DESTDIR)/usr/share/man/man1/multitail.1
	#
	# There's a mailinglist!
	# Send an e-mail to minimalist@vanheusden.com with in the subject
	# 'subscribe multitail' to subscribe.
	#
	# you might want to run 'make thanks' now :-)
	# http://www.vanheusden.com/wishlist.php
	#
	# How do YOU use multitail? Please send me an e-mail so that I can
	# update the examples page.

uninstall: clean
	rm -f $(DESTDIR)/usr/bin/multitail
	rm -f $(DESTDIR)/usr/share/man/man1/multitail.1.gz
	rm -f $(DESTDIR)/etc/multitail.conf
	rm -rf $(DESTDIR)/usr/share/doc/multitail-$(VERSION)

clean:
	rm -f $(OBJS) multitail core gmon.out *.da

package: clean
	# source package
	rm -rf multitail-$(VERSION)*
	mkdir multitail-$(VERSION)
	cp *.conf *.c *.h multitail.1 manual*.html Makefile makefile.* Changes INSTALL license.txt readme.txt version multitail-$(VERSION)
	tar czf multitail-$(VERSION).tgz multitail-$(VERSION)
	rm -rf multitail-$(VERSION)

thanks:
	echo Automatic thank you e-mail for multitail $(VERSION) on a `uname -a` | mail -s "multitail $(VERSION)" folkert@vanheusden.com
	echo Is your company using MultiTail and you would like to be
	echo mentioned on http://www.vanheusden.com/multitail/usedby.html ?
	echo Then please send me a logo -not too big- and a link and I'll
	echo add it to that page.
	echo
	echo Oh, blatant plug: http://keetweej.vanheusden.com/wishlist.html

## multitail 4.2.0

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 DESTDIR=/
 CONFIG_FILE=$(DESTDIR)/etc/multitail.conf
 
-DEBUG=-g #  -D_DEBUG  -W -pedantic # -pg #-fprofile-arcs
-LDFLAGS=-lpanel -lncurses -lutil -lm $(DEBUG)
+DEBUG=-g #-pg #  -D_DEBUG  -W -pedantic # -pg #-fprofile-arcs
+LDFLAGS+=-lpanel -lncurses -lutil -lm $(DEBUG)
 CFLAGS+=-D`uname` -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\"
 
 OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o
@@ -13,6 +13,9 @@
 
 multitail: $(OBJS)
 	$(CC) -Wall -W $(OBJS) $(LDFLAGS) -o multitail
+
+multitail_ccmalloc: $(OBJS)
+	ccmalloc --no-wrapper $(CC) -Wall -W $(OBJS) $(LDFLAGS) -o ccmultitail
 
 install: multitail
 	cp multitail $(DESTDIR)/usr/bin
@@ -44,7 +47,7 @@
 	rm -rf $(DESTDIR)/usr/share/doc/multitail-$(VERSION)
 
 clean:
-	rm -f $(OBJS) multitail core gmon.out *.da
+	rm -f $(OBJS) multitail core gmon.out *.da ccmultitail
 
 package: clean
 	# source package
@@ -58,7 +61,7 @@
 	echo Automatic thank you e-mail for multitail $(VERSION) on a `uname -a` | mail -s "multitail $(VERSION)" folkert@vanheusden.com
 	echo Is your company using MultiTail and you would like to be
 	echo mentioned on http://www.vanheusden.com/multitail/usedby.html ?
-	echo Then please send me a logo -not too big- and a link and I'll
+	echo Then please send me a logo -not too big- and a link and I will
 	echo add it to that page.
 	echo
 	echo Oh, blatant plug: http://keetweej.vanheusden.com/wishlist.html

## multitail 5.0.5

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,12 @@
 DESTDIR=/
 CONFIG_FILE=$(DESTDIR)/etc/multitail.conf
 
-DEBUG=-g #-pg #  -D_DEBUG  -W -pedantic # -pg #-fprofile-arcs
+DEBUG=-g #-D_DEBUG # -pg #  -D_DEBUG  #-pg -W -pedantic # -pg #-fprofile-arcs
 LDFLAGS+=-lpanel -lncurses -lutil -lm $(DEBUG)
+# LDFLAGS+=-lc_p -lpanel_g -lncurses_g -lutil -lm -pg -g -rdynamic
 CFLAGS+=-D`uname` -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\"
 
-OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o
+OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o history.o
 
 all: multitail
 
@@ -27,6 +28,8 @@
 	### YOURSELF WITH THE NEW FILE
 	#
 	cp multitail.conf $(DESTDIR)/etc/multitail.conf.new
+	mkdir -p $(DESTDIR)/etc/multitail/
+	cp convert-* colors-* $(DESTDIR)/etc/multitail/
 	rm -f $(DESTDIR)/usr/share/man/man1/multitail.1.gz
 	gzip -9 $(DESTDIR)/usr/share/man/man1/multitail.1
 	#
@@ -53,7 +56,7 @@
 	# source package
 	rm -rf multitail-$(VERSION)*
 	mkdir multitail-$(VERSION)
-	cp *.conf *.c *.h multitail.1 manual*.html Makefile makefile.* Changes INSTALL license.txt readme.txt version multitail-$(VERSION)
+	cp conversion-scripts/* *.conf *.c *.h multitail.1 manual*.html Makefile makefile.* Changes INSTALL license.txt readme.txt version multitail-$(VERSION)
 	tar czf multitail-$(VERSION).tgz multitail-$(VERSION)
 	rm -rf multitail-$(VERSION)

## multitail 5.2.2

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,10 @@
 DESTDIR=/
 CONFIG_FILE=$(DESTDIR)/etc/multitail.conf
 
-DEBUG=-g #-D_DEBUG # -pg #  -D_DEBUG  #-pg -W -pedantic # -pg #-fprofile-arcs
-LDFLAGS+=-lpanel -lncurses -lutil -lm $(DEBUG)
+DEBUG=-g # -D_DEBUG # -pg #  -D_DEBUG  #-pg -W -pedantic # -pg #-fprofile-arcs
+LDFLAGS+=-lpanel -lncurses -lutil -lm $(DEBUG) -rdynamic
 # LDFLAGS+=-lc_p -lpanel_g -lncurses_g -lutil -lm -pg -g -rdynamic
-CFLAGS+=-D`uname` -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\"
+CFLAGS+=-funsigned-char -D`uname` -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\"
 
 OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o history.o
 
@@ -56,7 +56,7 @@
 	# source package
 	rm -rf multitail-$(VERSION)*
 	mkdir multitail-$(VERSION)
-	cp conversion-scripts/* *.conf *.c *.h multitail.1 manual*.html Makefile makefile.* Changes INSTALL license.txt readme.txt version multitail-$(VERSION)
+	cp conversion-scripts/* *.conf *.c *.h multitail.1 manual*.html Makefile makefile.* Changes INSTALL license.txt readme.txt thanks.txt version multitail-$(VERSION)
 	tar czf multitail-$(VERSION).tgz multitail-$(VERSION)
 	rm -rf multitail-$(VERSION)

## multitail 5.2.9

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	### COPIED multitail.conf.new, YOU NEED TO REPLACE THE multitail.conf
 	### YOURSELF WITH THE NEW FILE
 	#
-	cp multitail.conf $(DESTDIR)/etc/multitail.conf.new
+	cp multitail.conf $(CONFIG_FILE).new
 	mkdir -p $(DESTDIR)/etc/multitail/
 	cp convert-* colors-* $(DESTDIR)/etc/multitail/
 	rm -f $(DESTDIR)/usr/share/man/man1/multitail.1.gz
@@ -46,7 +46,7 @@
 uninstall: clean
 	rm -f $(DESTDIR)/usr/bin/multitail
 	rm -f $(DESTDIR)/usr/share/man/man1/multitail.1.gz
-	rm -f $(DESTDIR)/etc/multitail.conf
+	rm -f $(CONFIG_FILE)
 	rm -rf $(DESTDIR)/usr/share/doc/multitail-$(VERSION)
 
 clean:

## multitail 5.2.13

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 DESTDIR=/
 CONFIG_FILE=$(DESTDIR)/etc/multitail.conf
 
-DEBUG=-g # -D_DEBUG # -pg #  -D_DEBUG  #-pg -W -pedantic # -pg #-fprofile-arcs
+CC=gcc
+DEBUG=-g -D_FORTIFY_SOURCE=2 # -D_DEBUG # -pg #  -D_DEBUG  #-pg -W -pedantic # -pg #-fprofile-arcs
 LDFLAGS+=-lpanel -lncurses -lutil -lm $(DEBUG) -rdynamic
 # LDFLAGS+=-lc_p -lpanel_g -lncurses_g -lutil -lm -pg -g -rdynamic
 CFLAGS+=-funsigned-char -D`uname` -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\"
@@ -68,3 +69,17 @@
 	echo add it to that page.
 	echo
 	echo Oh, blatant plug: http://keetweej.vanheusden.com/wishlist.html
+
+check:
+	cppcheck -v --force -j 3 --enable=all --inconclusive -I. . 2> err.txt
+	#
+	make clean
+	scan-build make
+
+coverity:
+	make clean
+	rm -rf cov-int
+	CC=gcc cov-build --dir cov-int make all
+	tar vczf ~/site/coverity/multitail.tgz README cov-int/
+	putsite -q
+	/home/folkert/.coverity-mt.sh

## multitail 6.0

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,18 @@
 include version
 
+UTF8_SUPPORT=yes
 DESTDIR=/
 CONFIG_FILE=$(DESTDIR)/etc/multitail.conf
 
 CC=gcc
 DEBUG=-g -D_FORTIFY_SOURCE=2 # -D_DEBUG # -pg #  -D_DEBUG  #-pg -W -pedantic # -pg #-fprofile-arcs
+ifeq ($(UTF8_SUPPORT),yes)
+LDFLAGS+=-lpanelw -lncursesw -lutil -lm $(DEBUG) -rdynamic
+CFLAGS+=-funsigned-char -D`uname` -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\" -DUTF8_SUPPORT
+else
 LDFLAGS+=-lpanel -lncurses -lutil -lm $(DEBUG) -rdynamic
-# LDFLAGS+=-lc_p -lpanel_g -lncurses_g -lutil -lm -pg -g -rdynamic
 CFLAGS+=-funsigned-char -D`uname` -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\"
+endif
 
 OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o history.o

## multitail 6.4.2

=== Makefile ===
include version

UTF8_SUPPORT=yes
DESTDIR=
PREFIX=/usr
CONFIG_FILE=$(DESTDIR)/etc/multitail.conf

CC?=gcc
DEBUG+=-g -Wall # -D_DEBUG # -pg #  -D_DEBUG  #-pg -W -pedantic # -pg #-fprofile-arcs
ifeq ($(UTF8_SUPPORT),yes)
LDFLAGS+=-lpanelw -lncursesw -lutil -lm
CFLAGS+=-funsigned-char -D`uname` -DVERSION=\"$(VERSION)\" -DCONFIG_FILE=\"$(CONFIG_FILE)\" -DUTF8_SUPPORT -D_FORTIFY_SOURCE=2 -O3
else
LDFLAGS+=-lpanel -lncurses -lutil -lm
CFLAGS+=-funsigned-char -D`uname` -DVERSION=\"$(VERSION)\" -DCONFIG_FILE=\"$(CONFIG_FILE)\" -D_FORTIFY_SOURCE=2 -O3
endif

OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o history.o xclip.o

all: multitail

multitail: $(OBJS)
	$(CC) $(OBJS) $(LDFLAGS) -o multitail

multitail_ccmalloc: $(OBJS)
	ccmalloc --no-wrapper $(CC) -Wall -W $(OBJS) $(LDFLAGS) -o ccmultitail

install: multitail
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp multitail $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	cp multitail.1 $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/multitail-$(VERSION)
	cp *.txt INSTALL manual*.html $(DESTDIR)$(PREFIX)/share/doc/multitail-$(VERSION)
	#
	### COPIED multitail.conf.new, YOU NEED TO REPLACE THE multitail.conf
	### YOURSELF WITH THE NEW FILE
	#
	mkdir -p $(DESTDIR)/etc/multitail/
	cp multitail.conf $(CONFIG_FILE).new
	cp conversion-scripts/* $(DESTDIR)/etc/multitail/
#rm -f $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1.gz
#gzip -9 $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1
	#
	# There's a mailinglist!
	# Send an e-mail to minimalist@vanheusden.com with in the subject
	# 'subscribe multitail' to subscribe.
	#
	# you might want to run 'make thanks' now :-)
	# http://www.vanheusden.com/wishlist.php
	#
	# How do YOU use multitail? Please send me an e-mail so that I can
	# update the examples page.

uninstall: clean
	rm -f $(DESTDIR)$(PREFIX)/bin/multitail
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1.gz
#	rm -f $(CONFIG_FILE)
	rm -rf $(DESTDIR)$(PREFIX)/share/doc/multitail-$(VERSION)

clean:
	rm -f $(OBJS) multitail core gmon.out *.da ccmultitail

package: clean
	# source package
	rm -rf multitail-$(VERSION)*
	mkdir multitail-$(VERSION)
	cp -a conversion-scripts *.conf *.c *.h multitail.1 manual*.html Makefile makefile.* INSTALL license.txt readme.txt thanks.txt version multitail-$(VERSION)
	tar czf multitail-$(VERSION).tgz multitail-$(VERSION)
	rm -rf multitail-$(VERSION)

thanks:
	echo Automatic thank you e-mail for multitail $(VERSION) on a `uname -a` | mail -s "multitail $(VERSION)" folkert@vanheusden.com
	echo Is your company using MultiTail and you would like to be
	echo mentioned on http://www.vanheusden.com/multitail/usedby.html ?
	echo Then please send me a logo -not too big- and a link and I will
	echo add it to that page.
	echo
	echo Oh, blatant plug: http://keetweej.vanheusden.com/wishlist.html

check:
	cppcheck -v --force -j 3 --enable=all --inconclusive -I. . 2> err.txt
	#
	make clean
	scan-build make

coverity:
	make clean
	rm -rf cov-int
	CC=gcc cov-build --dir cov-int make all
	tar vczf ~/site/coverity/multitail.tgz README cov-int/
	putsite -q
	/home/folkert/.coverity-mt.sh

=== debian/changelog ===
multitail (6.4.2-3build2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:03:03 +0000

multitail (6.4.2-3build1) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:17:01 +0000

multitail (6.4.2-3) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sat, 27 May 2017 10:40:02 +0200

multitail (6.4.2-2) experimental; urgency=medium

  * Fix FTCBFS: Let dh_auto_build pass cross compilers (closes: #853883),
    patch by Helmut Grohne
  * move from dpatch to 3.0 (quilt) (closes: #668643)

 -- Rene Engelhard <rene@debian.org>  Wed, 01 Feb 2017 21:38:20 +0100

multitail (6.4.2-1) unstable; urgency=medium

  * New upstream release
    - supports squid3 (closes: #789182)

  * debian/patches/03_manpage_lowercase.dpatch: lowercase MultiTail in
    SYNOPSIS (closes: #703518)
  * include /usr/share/dpkg/buildflags.mk (closes: #763687) and add
    debian/patches/04_remove_custom_CFLAGS.diff to remove hardcoded -g,
    -D_FORTIFY_SOURCE=2 and -O3 and to take dpkgs buildflags instead
  * bump debian/compat to 9; dh_clean -k -> dh_prep

 -- Rene Engelhard <rene@debian.org>  Thu, 24 Sep 2015 09:29:46 +0200

multitail (6.2.1-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 21 Feb 2014 20:10:58 +0100

multitail (6.0-1) unstable; urgency=low

  * New upstream release
    - fixes "weird display" of lines containing hard tabs
      (closes: #728040)

 -- Rene Engelhard <rene@debian.org>  Fri, 29 Nov 2013 21:22:24 +0100

multitail (5.2.13-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon, 01 Jul 2013 23:57:52 +0200

multitail (5.2.12-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Mon, 22 Apr 2013 23:31:07 +0200

multitail (5.2.12-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon, 22 Apr 2013 23:23:51 +0200

multitail (5.2.9-1) unstable; urgency=low

  * New upstream release
    - fixes segfault when searching for printf escape codes
      (closes: #653147)

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Jan 2012 23:02:24 +0100

multitail (5.2.8-1) unstable; urgency=low

  * New upstream release
    - doesn't segfault anymore when trying to scroll back a truncated file
      (closes: #621689)

 -- Rene Engelhard <rene@debian.org>  Fri, 15 Apr 2011 18:14:49 +0000

multitail (5.2.7-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Thu, 03 Feb 2011 23:40:21 +0000

multitail (5.2.7-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 20 Jan 2011 21:15:39 +0100

multitail (5.2.6-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon, 17 Jan 2011 13:39:15 +0100

multitail (5.2.2-2) unstable; urgency=low

  * add patch from Thomas Adam to not assert on a nonexisting file
    (closes: #558381) 

 -- Rene Engelhard <rene@debian.org>  Thu, 10 Dec 2009 22:49:46 +0100

multitail (5.2.2-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 20 May 2008 00:03:20 +0200

multitail (5.2.1-2) unstable; urgency=low

  * rebuild with current debhelper (closes: #474958)

 -- Rene Engelhard <rene@debian.org>  Tue, 08 Apr 2008 12:38:47 +0200

multitail (5.2.1-1) unstable; urgency=low

  * New upstream release
  * Suggests: libgeo-ip-perl (closes: #469725)
  * move /etc/multitail/*.sh and /etc/multitail/*.pl to examples
    (closes: #469721)

 -- Rene Engelhard <rene@debian.org>  Tue, 01 Apr 2008 16:06:58 +0200

multitail (5.2.0-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Wed, 11 Jul 2007 18:07:43 +0200

multitail (5.0.5-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 08 Jun 2007 21:03:31 +0200

multitail (5.0.4-1) unstable; urgency=high

  * New upstream release
    - fixes windoow problems on ppc (closes: #426791)

 -- Rene Engelhard <rene@debian.org>  Fri, 01 Jun 2007 14:47:48 +0200

multitail (5.0.2-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Wed, 02 May 2007 08:33:49 +0200

multitail (5.0.1-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sun, 29 Apr 2007 19:17:49 +0200

multitail (5.0.0-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sun,  8 Apr 2007 14:52:15 +0200

multitail (4.3.6-1) experimental; urgency=low

  * New upstream development release

 -- Rene Engelhard <rene@debian.org>  Fri, 30 Mar 2007 17:25:25 +0200

multitail (4.3.5-1) experimental; urgency=low

  * New upstream development release

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Mar 2007 17:27:02 +0200

multitail (4.3.4-1) experimental; urgency=low

  * New upstream development release

 -- Rene Engelhard <rene@debian.org>  Tue, 20 Mar 2007 14:32:23 +0100

multitail (4.3.1-1) experimental; urgency=low

  * New upstream development release

 -- Rene Engelhard <rene@debian.org>  Tue, 27 Feb 2007 15:03:39 +0100

multitail (4.3.0-1) experimental; urgency=low

  * New upstream development release

 -- Rene Engelhard <rene@debian.org>  Wed, 21 Feb 2007 11:18:28 +0100

multitail (4.2.0-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri,  8 Sep 2006 23:05:12 +0200

multitail (4.0.6-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sat, 17 Jun 2006 23:00:56 +0200

multitail (4.0.5-2) unstable; urgency=low

  * fix FTBFS on GNU/kFreeBSD, thanks Petr Salinger for the patch
    (closes: #372304) 

 -- Rene Engelhard <rene@debian.org>  Sun, 11 Jun 2006 11:44:55 +0200

multitail (4.0.5-1) unstable; urgency=low



=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

CFLAGS+= -g

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	dh_auto_build -- DEBUG="$(CFLAGS)"
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/multitail
	rm -rf $(CURDIR)/debian/multitail/etc/multitail
	
	rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/license.txt \
	&& rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/INSTALL

#	perl -pi -e 's/^min_n_bufferlines/\#min_n_bufferlines/' debian/multitail/etc/multitail.conf
#	perl -pi -e 's/^window_number/\#window_number/' debian/multitail/etc/multitail.conf
#	perl -pi -e 's/^subwindow_number/\#subwindow_number/' debian/multitail/etc/multitail.conf

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples conversion-scripts/colors-example.*
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## multitail 6.5.0

=== Makefile ===
--- 
+++ 
@@ -1,29 +1,49 @@
 include version
 
-UTF8_SUPPORT=yes
+PLATFORM:=$(shell uname)
+CPPFLAGS:=$(shell pkg-config --cflags ncurses)
+NCURSES_LIB:=$(shell pkg-config --libs ncurses)
+DEBUG:=#XXX -g -D_DEBUG ###-pg -Wpedantic ## -pg #-fprofile-arcs
+# pkg-config --libs --cflags ncurses
+# -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600 -lncurses -ltinfo
+
+UTF8_SUPPORT:=yes
 DESTDIR=
-PREFIX=/usr
-CONFIG_FILE=$(DESTDIR)/etc/multitail.conf
+PREFIX=/usr/local
+CONFIG_FILE=$(DESTDIR)$(PREFIX)/etc/multitail.conf
 
 CC?=gcc
-DEBUG+=-g -Wall # -D_DEBUG # -pg #  -D_DEBUG  #-pg -W -pedantic # -pg #-fprofile-arcs
+CFLAGS+=-Wall -Wno-unused-parameter -funsigned-char -O3
+CPPFLAGS+=-D$(PLATFORM) -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\" -D_FORTIFY_SOURCE=2
+
+# build dependency files while compile (*.d)
+CPPFLAGS+= -MMD -MP
+
+
+ifeq ($(PLATFORM),Darwin)
+    LDFLAGS+=-lpanel $(NCURSES_LIB) -lutil -lm
+else
 ifeq ($(UTF8_SUPPORT),yes)
-LDFLAGS+=-lpanelw -lncursesw -lutil -lm
-CFLAGS+=-funsigned-char -D`uname` -DVERSION=\"$(VERSION)\" -DCONFIG_FILE=\"$(CONFIG_FILE)\" -DUTF8_SUPPORT -D_FORTIFY_SOURCE=2 -O3
+    LDFLAGS+=-lpanelw -lncursesw -lutil -lm
+    CPPFLAGS+=-DUTF8_SUPPORT
 else
-LDFLAGS+=-lpanel -lncurses -lutil -lm
-CFLAGS+=-funsigned-char -D`uname` -DVERSION=\"$(VERSION)\" -DCONFIG_FILE=\"$(CONFIG_FILE)\" -D_FORTIFY_SOURCE=2 -O3
+    LDFLAGS+=-lpanel -lncurses -lutil -lm
+endif
 endif
 
-OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o history.o xclip.o
 
+OBJS:=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o history.o clipboard.o
+DEPENDS:= $(OBJS:%.o=%.d)
+
+
+.PHONY: all check install uninstall coverity clean distclean package thanks
 all: multitail
 
 multitail: $(OBJS)
 	$(CC) $(OBJS) $(LDFLAGS) -o multitail
 
-multitail_ccmalloc: $(OBJS)
-	ccmalloc --no-wrapper $(CC) -Wall -W $(OBJS) $(LDFLAGS) -o ccmultitail
+ccmultitail: $(OBJS)
+	ccmalloc --no-wrapper -Wextra $(CC) $(OBJS) $(LDFLAGS) -o ccmultitail
 
 install: multitail
 	mkdir -p $(DESTDIR)$(PREFIX)/bin
@@ -36,9 +56,9 @@
 	### COPIED multitail.conf.new, YOU NEED TO REPLACE THE multitail.conf
 	### YOURSELF WITH THE NEW FILE
 	#
-	mkdir -p $(DESTDIR)/etc/multitail/
+	mkdir -p $(DESTDIR)$(PREFIX)/etc/multitail/
 	cp multitail.conf $(CONFIG_FILE).new
-	cp conversion-scripts/* $(DESTDIR)/etc/multitail/
+	cp conversion-scripts/* $(DESTDIR)$(PREFIX)/etc/multitail/
 #rm -f $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1.gz
 #gzip -9 $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1
 	#
@@ -78,11 +98,14 @@
 	echo
 	echo Oh, blatant plug: http://keetweej.vanheusden.com/wishlist.html
 
+### cppcheck: unusedFunction check can't be used with '-j' option. Disabling unusedFunction check.
 check:
-	cppcheck -v --force -j 3 --enable=all --inconclusive -I. . 2> err.txt
-	#
+	#XXX TBD to use cppechk --check-config $(CPPFLAGS) -I/usr/include
+	cppcheck --std=c99 --verbose --force --enable=all --inconclusive --template=gcc \
+		'--suppress=variableScope' --xml --xml-version=2 . 2> cppcheck.xml
+	cppcheck-htmlreport --file=cppcheck.xml --report-dir=cppcheck
 	make clean
-	scan-build make
+	-scan-build make
 
 coverity:
 	make clean
@@ -91,3 +114,12 @@
 	tar vczf ~/site/coverity/multitail.tgz README cov-int/
 	putsite -q
 	/home/folkert/.coverity-mt.sh
+
+distclean: clean
+	rm -rf cov-int cppcheck cppcheck.xml *.d *~ tags
+
+# include dependency files for any other rule:
+ifneq ($(filter-out clean distclean,$(MAKECMDGOALS)),)
+-include $(DEPENDS)
+endif
+

=== debian/changelog ===
multitail (6.5.0-3) unstable; urgency=medium

  * don't install stuff into /usr/etc and move stuff installed there
    into /usr/share/doc/multitail/examples (closes: #988710) 

 -- Rene Engelhard <rene@debian.org>  Thu, 20 May 2021 17:24:34 +0200

multitail (6.5.0-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 13 Sep 2020 11:00:13 +0200

multitail (6.5.0-1) experimental; urgency=medium

  * New upstream release (closes: #959502)

 -- Rene Engelhard <rene@debian.org>  Thu, 04 Jun 2020 23:15:06 +0200

=== debian/control ===
Source: multitail
Section: utils
Priority: optional
Maintainer: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper (>> 9.0.0), libncursesw5-dev
Standards-Version: 3.7.2

Package: multitail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: view multiple logfiles windowed on console
 multitail lets you view one or multiple files like the original tail
 program.
 .
 The difference is that this program creates multiple windows on
 your console (with ncurses). It can also use colors while displaying the
 logfiles for faster recognizing which lines are important and which are
 not.
 .
 It is optimized for terminal-sessions through slow links.

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 build-stamp: configure-stamp 
 	dh_testdir
 
-	dh_auto_build -- DEBUG="$(CFLAGS)"
+	dh_auto_build -- DEBUG="$(CFLAGS)" PREFIX=/usr
 	
 	touch build-stamp
 
@@ -30,7 +30,7 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
-	-$(MAKE) clean
+	-$(MAKE) distclean
 
 	dh_clean
 
@@ -45,6 +45,11 @@
 	
 	rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/license.txt \
 	&& rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/INSTALL
+
+	mkdir -p $(CURDIR)/debian/multitail/usr/share/doc/multitail/examples
+	mv $(CURDIR)/debian/multitail/usr/etc/multitail/* \
+		$(CURDIR)/debian/multitail/usr/share/doc/multitail/examples
+	rm -rf $(CURDIR)/debian/multitail/usr/etc
 
 #	perl -pi -e 's/^min_n_bufferlines/\#min_n_bufferlines/' debian/multitail/etc/multitail.conf
 #	perl -pi -e 's/^window_number/\#window_number/' debian/multitail/etc/multitail.conf

=== debian/watch ===
version=2
http://www.vanheusden.com/multitail/download.html multitail-([\d.]+).tgz debian uupdate

## multitail 7.1.2

=== debian/changelog ===
multitail (7.1.2-1) experimental; urgency=medium

  * New upstream release 

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Mar 2024 20:06:52 +0100

multitail (6.5.0-6) unstable; urgency=medium

  * add build-dep on pkg-config (closes: #1066473)

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Mar 2024 18:23:25 +0000

multitail (6.5.0-5) unstable; urgency=medium

  * rewrite debian/rules using dh sequencer (closes: #999073) 

 -- Rene Engelhard <rene@debian.org>  Mon, 13 Dec 2021 17:03:01 +0000

multitail (6.5.0-4) unstable; urgency=medium

  * add some needed format strings (closes: #997165) 

 -- Rene Engelhard <rene@debian.org>  Fri, 29 Oct 2021 16:55:25 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile -- DEBUG="$(CFLAGS)" PREFIX=/usr

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/multitail
	mv $(CURDIR)/debian/multitail/usr/local/* \
		$(CURDIR)/debian/multitail/usr
	rmdir $(CURDIR)/debian/multitail/usr/local
	rm -rf $(CURDIR)/debian/multitail/etc/multitail

	cd $(CURDIR)/debian/multitail/usr/share/doc/ && \
		mv multitail-VERSION=* multitail
	rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/LICENSE \
	&& rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/INSTALL

	mkdir -p $(CURDIR)/debian/multitail/usr/share/doc/multitail/examples
	mv $(CURDIR)/debian/multitail/usr/etc/multitail/* \
		$(CURDIR)/debian/multitail/usr/share/doc/multitail/examples
	rm -rf $(CURDIR)/debian/multitail/usr/etc

	install -m644 multitail.conf \
		$(CURDIR)/debian/multitail/etc

#	perl -pi -e 's/^min_n_bufferlines/\#min_n_bufferlines/' debian/multitail/etc/multitail.conf
#	perl -pi -e 's/^window_number/\#window_number/' debian/multitail/etc/multitail.conf
#	perl -pi -e 's/^subwindow_number/\#subwindow_number/' debian/multitail/etc/multitail.conf

# no need to run just cppcheck...
override_dh_auto_test:

## multitail 7.1.5

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,24 @@
 UTF8_SUPPORT:=yes
 DESTDIR=
 PREFIX=/usr/local
-CONFIG_FILE=$(DESTDIR)$(PREFIX)/etc/multitail.conf
+BINDIR=$(PREFIX)/bin
+SHAREDIR=$(PREFIX)/share
+MANDIR=$(SHAREDIR)/man
+MAN1DIR=$(MANDIR)/man1
+DOCDIR=$(SHAREDIR)/doc/multitail-$(VERSION)
+
+ifeq ($(PLATFORM),FreeBSD)
+    SYSCONFDIR=$(PREFIX)/etc
+else
+    SYSCONFDIR=/etc
+endif
+CONFIG_FILE=$(SYSCONFDIR)/multitail.conf
+CONFIG_DIR=$(SYSCONFDIR)/multitail
+
+INSTALL = install
+INSTALL_DATA = $(INSTALL) -m 0644
+INSTALL_EXEC = $(INSTALL) -m 0755
+INSTALL_DIR = $(INSTALL) -m 0755 -d
 
 CC?=gcc
 CFLAGS+=-Wall -Wno-unused-parameter -funsigned-char -O3
@@ -46,21 +63,21 @@
 	ccmalloc --no-wrapper -Wextra $(CC) $(OBJS) $(LDFLAGS) -o ccmultitail
 
 install: multitail
-	mkdir -p $(DESTDIR)$(PREFIX)/bin
-	cp multitail $(DESTDIR)$(PREFIX)/bin
-	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
-	cp multitail.1 $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1
-	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/multitail-$(VERSION)
-	cp *.txt INSTALL manual*.html $(DESTDIR)$(PREFIX)/share/doc/multitail-$(VERSION)
+	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
+	$(INSTALL_DIR) $(DESTDIR)$(MAN1DIR)
+	$(INSTALL_DIR) $(DESTDIR)$(DOCDIR)
+	$(INSTALL_EXEC) multitail $(DESTDIR)$(BINDIR)
+	$(INSTALL_DATA) multitail.1 $(DESTDIR)$(MAN1DIR)/multitail.1
+	$(INSTALL_DATA) *.txt INSTALL manual*.html $(DESTDIR)$(DOCDIR)
 	#
 	### COPIED multitail.conf.new, YOU NEED TO REPLACE THE multitail.conf
 	### YOURSELF WITH THE NEW FILE
 	#
-	mkdir -p $(DESTDIR)$(PREFIX)/etc/multitail/
-	cp multitail.conf $(CONFIG_FILE).new
-	cp conversion-scripts/* $(DESTDIR)$(PREFIX)/etc/multitail/
-#rm -f $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1.gz
-#gzip -9 $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1
+	$(INSTALL_DIR) $(DESTDIR)$(CONFIG_DIR)
+	$(INSTALL_DATA) multitail.conf $(DESTDIR)$(CONFIG_FILE).new
+	$(INSTALL_EXEC) conversion-scripts/* $(DESTDIR)$(CONFIG_DIR)
+#rm -f $(DESTDIR)$(MAN1DIR)/multitail.1.gz
+#gzip -9 $(DESTDIR)$(MAN1DIR)/multitail.1
 	#
 	# There's a mailinglist!
 	# Send an e-mail to minimalist@vanheusden.com with in the subject
@@ -73,10 +90,11 @@
 	# update the examples page.
 
 uninstall: clean
-	rm -f $(DESTDIR)$(PREFIX)/bin/multitail
-	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1.gz
-#	rm -f $(CONFIG_FILE)
-	rm -rf $(DESTDIR)$(PREFIX)/share/doc/multitail-$(VERSION)
+	rm -f $(DESTDIR)$(BINDIR)/multitail
+	rm -f $(DESTDIR)$(MAN1DIR)/multitail.1
+#	rm -f $(DESTDIR)$(CONFIG_FILE)
+	rm -rf $(DESTDIR)$(CONFIG_DIR)
+	rm -rf $(DESTDIR)$(DOCDIR)
 
 clean:
 	rm -f $(OBJS) multitail core gmon.out *.da ccmultitail

=== debian/changelog ===
multitail (7.1.5-2) unstable; urgency=medium

  * build with VERBOSE=1 
  * revert cross.patch, we actually don't use the Makefile
  * remove all Makefile-patching files, we actually use cmake/ninja anyway;
    remove explicit --buildsystem=makefile which didn't have any effect

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Mon, 17 Feb 2025 22:37:36 +0100

multitail (7.1.5-1) experimental; urgency=medium

  * New upstream release.

  * debian/patches/cross.patch: add patch from Helmut Grohne to fix
    FTCBFS (closes: #1093593) 

 -- Rene Engelhard <rene@debian.org>  Mon, 17 Feb 2025 20:58:14 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Rene Engelhard <rene@debian.org>
-Build-Depends: debhelper (>> 9.0.0), libncursesw5-dev
+Build-Depends: debhelper (>> 9.0.0), libncursesw5-dev, pkg-config, cmake, ninja-build
 Standards-Version: 3.7.2
 
 Package: multitail

=== debian/rules ===
--- 
+++ 
@@ -1,20 +1,24 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 %:
 	dh $@
 
 override_dh_auto_build:
+	export VERBOSE=1; \
 	dh_auto_build --buildsystem=makefile -- DEBUG="$(CFLAGS)" PREFIX=/usr
 
 override_dh_auto_install:
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/multitail
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/multitail PREFIX=/usr
+	# FIXME
 	mv $(CURDIR)/debian/multitail/usr/local/* \
 		$(CURDIR)/debian/multitail/usr
 	rmdir $(CURDIR)/debian/multitail/usr/local
 	rm -rf $(CURDIR)/debian/multitail/etc/multitail
 
 	cd $(CURDIR)/debian/multitail/usr/share/doc/ && \
-		mv multitail-VERSION=* multitail
+		mv multitail-$(DEB_VERSION_UPSTREAM) multitail
 	rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/LICENSE \
 	&& rm -f $(CURDIR)/debian/multitail/usr/share/doc/multitail/INSTALL
